/*
    FEARLUS/SPOM 1-1-4: CBRFarmScaleProfitLandManager.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/* Interface for the CBRFarmScaleProfitLandManager class. This is a
 * subclass of the CBRNetApprovalLandManager class, which replaces the
 * test of profit aspiration with one based on profit per unit area
 * and changes land use on the whole farm if that aspiration is not met.
 */

#import "CBRNetApprovalLandManager.h"

@interface CBRFarmScaleProfitLandManager: CBRNetApprovalLandManager {
}

-(void)allocateLandUses;

@end
